"""SAM-O SOAP XML Request String Constants.

SOAP: It's XML-RPC for interoperability haters.
"""

__author__ = 'Andrew Fort <a@choqolat.org>'


# Various constants

DEFAULT_TIMEOUT = 180

# SAM-O SOAP request envelope

SAMO_REQUEST_ENVELOPE = """
<SOAP:Envelope xmlns:SOAP="http://schemas.xmlsoap.org/soap/envelope/">
  <SOAP:Header>
    <header xmlns="xmlapi_1.0">
      <security>
        <user>${username}</user>
        <password>${password}</password>
      </security>
      <requestID>clientName@requestId@clientIP</requestID>
    </header>
  </SOAP:Header>
${request}
</SOAP:Envelope>
"""

# SAM-O SOAP request body components
SOAP_START = """    <SOAP:Body>
"""
SOAP_END = """    </SOAP:Body>"""
FIND_START = """        <find xmlns="xmlapi_1.0">
"""
FIND_END = """      </find>
"""
FULL_CLASS = """            <fullClassName>$cls</fullClassName>
"""
FILTER = """            <filter class="$cls">
                <and>
$filter
                </and>
            </filter>
"""
FILTER_ELEMENT = """                    <equal name="$name" value="$value"/>
"""

NO_CHILDREN = """                <children></children>"""
CHILDREN = """                <children/>"""

RESULT_FILTER = """            <resultFilter>
$filter
$children
            </resultFilter>
"""
RESULT_ATTRIB = """                <attribute>$attrib</attribute>
"""


SAP_CLASS = 'service.AccessInterface'


PORT_CLASS = 'equipment.PhysicalPort'


PORT_GENERIC_RESULT_FILTER = ['siteName', 'siteId', 'description',
                              'portName', 'operationalState',
                              'administrativeState']


SAP_GENERIC_RESULT_FILTER = ['portName', 'nodeName',
                             'nodeId', 'serviceId', 'serviceName',
                             'subscriberName', 'subscriberId',
                             'serviceType', 'description',
                             'displayedName', 'innerEncapValue',
                             'outerEncapValue']
