"""Python interface to the Alcatel 5620 SAM (Service Aware Manager).

An unofficial Python Interface to Alcatel's 5620 Service Aware
Manager, SAM. 'sam' connects to the SAM-O SOAP XML interface and
allows you to make queries and receive results with Python
dictionaries.
"""

__author__ = 'Andrew Fort <andrew.fort@gmail.com>'
__author__ = 'Rod Telford <rod@dailysnore.com>'


try:
    import setuptools
except ImportError:
    import ez_setup
    ez_setup.use_setuptools()
    import setuptools

setuptools.setup(
    name='sam',
    version='0.3.1',
    description='A Python interface to the Alcatel 5620 SAM',
    url='https://bitbucket.org/enemesco/sam',
    author='Andrew Fort',
    author_email='andrew.fort@gmail.com',
    license='http://www.apache.org/licenses/LICENSE-2.0',
    classifiers=['Development Status :: 2 - Pre-Alpha',
                 'Environment :: Console',
                 'Intended Audience :: System Administrators',
                 'License :: OSI Approved :: Apache Software License',
                 'Operating System :: POSIX',
                 'Programming Language :: Python :: 2.6',
                 'Topic :: System :: Networking :: Monitoring',
                 ],
    install_requires=['nose',
                      'MiniMock',
                      'unittest2',
                      ],
    setup_requires=[],
    packages = setuptools.find_packages(exclude=['ez_setup']),
    include_package_data = True,
    package_data = {},
    test_suite='nose.collector',
    zip_safe=True,
)
